/*
Here, the do-file analyze_mc.do Monte carlo simulation is called for language families and areas
*/

local dir `c(pwd)'

winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\analyze_mc  MC H none Family 1
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\analyze_mc  MC L2prop Population Family 2
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\analyze_mc  MC Population L2prop Family 3
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\analyze_mc  H L2prop Population  Family 4
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\analyze_mc  H Population L2prop Family 5
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\analyze_mc  MC H none Area 6      
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\analyze_mc  MC L2prop Population Area 7
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\analyze_mc  MC Population L2prop Area 8
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\analyze_mc  H L2prop Population  Area 9
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\analyze_mc  H Population L2prop Area 10
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\analyze_mc  Population L2prop none Family 11
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\analyze_mc  Population L2prop none Area 12

/* wait until everything is finished */
clear
forvalues j=1/12  { 
   capture confirm file finished_`j'.dta
   while _rc != 0 {
      sleep 2000
      capture confirm file finished_`j'.dta
   }
 }

forvalues j=1/12  { 
   capture erase finished_`j'.dta
 }

foreach Fam in Area Family  { 
		capture erase finished_`Fam'.dta 
		do cr_table1 `Fam'
		}

use table_Area.dta, clear
drop in 1/l
			set obs 1
			replace Row="Area"
			append using table_Area
			save TEMP, replace
use table_Family.dta, clear
drop in 1/l
			set obs 1
			replace Row="Family"
			append using table_Family
			append using TEMP
			export excel using "table_2", firstrow(variables) replace
exit