/*
Here, the do-file permute_freedman_test.do is called for MC, H and H_unigram and two models (one linear, one with random effects for family)
*/
timer clear 1
timer on 1
local reps=100000
local sleep 10000
local dir `c(pwd)'

winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\permute_freedman_test  MC linear `reps' 1
sleep `sleep'
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\permute_freedman_test  MC mixed `reps' 2
sleep `sleep'
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\permute_freedman_test  MC_6 linear `reps' 3
sleep `sleep'
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\permute_freedman_test  MC_6 mixed `reps' 4      
sleep `sleep'
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\permute_freedman_test  H linear `reps' 5
sleep `sleep'
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\permute_freedman_test  H mixed `reps' 6
sleep `sleep'
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\permute_freedman_test  H_unigram linear `reps' 7
sleep `sleep'
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\permute_freedman_test  H_unigram mixed `reps' 8
/* wait until everything is finished */
clear
forvalues j=1/8  { 
   capture confirm file finished_`j'.dta
   while _rc != 0 {
      sleep 2000
      capture confirm file finished_`j'.dta
   }
 }

forvalues j=1/8  { 
   capture erase finished_`j'.dta
 }



use permute_1, clear
drop in 1
forvalues i=1/8 {
	capture erase finished_`i'.dta 
	capture append using permute_`i'
	capture erase permute_`i'.dta
}
gsort depvar model -N
save permute_freedman_test, replace


timer off 1
timer list
exit

