/*
Here, the do-file permute_freedman.do is called for MC, H and H_unigram and the various models
*/
local reps=100000
local sleep 10000 

local dir `c(pwd)'

forvalues i=1/7{
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\permute_test_validation MC `i' 1 `reps'
sleep `sleep'
}

/* wait until everything is finished */
forvalues i=1/7{
 capture confirm file finished_`i'.dta
   while _rc != 0 {
      sleep 2000
      capture confirm file finished_`i'.dta
   }
}
use permute_1, clear
drop in 1
forvalues i=1/7 {
	capture erase finished_`i'.dta 
	capture append using permute_`i'
	capture erase permute_`i'.dta
}

save permute_MC_1, replace

forvalues i=1/7{
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\permute_test_validation MC `i' 6 `reps'
sleep `sleep'
}

/* wait until everything is finished */
forvalues i=1/7{
 capture confirm file finished_`i'.dta
   while _rc != 0 {
      sleep 2000
      capture confirm file finished_`i'.dta
   }
}
use permute_1, clear
drop in 1
forvalues i=1/7 {
	capture erase finished_`i'.dta 
	capture append using permute_`i'
	capture erase permute_`i'.dta
}

save permute_MC_6, replace

forvalues i=1/7{
winexec C:\Program Files (x86)\Stata14\StataMP-64 -q do `dir'\\permute_test_validation H `i' 1 `reps'
sleep `sleep'
}

/* wait until everything is finished */
forvalues i=1/7{
 capture confirm file finished_`i'.dta
   while _rc != 0 {
      sleep 2000
      capture confirm file finished_`i'.dta
   }
}
use permute_1, clear
drop in 1
forvalues i=1/7 {
	capture erase finished_`i'.dta 
	capture append using permute_`i'
	capture erase permute_`i'.dta
}

save permute_H_1, replace

use permute_MC_1, clear
append using permute_MC_6
append using permute_H_1

save permute_freedman_validation, replace

erase permute_H_1.dta
erase permute_MC_1.dta
erase permute_MC_6.dta


exit

