use permute_test`1'_vehicularity0, clear

gen Depvar="Morphological complexity"
replace Depvar="Entropy rate" if depvar=="H"|depvar=="H_res"
replace Num=. if depvar=="H"|depvar=="H_res"
drop depvar
gen Control_fixed="no control"
replace Control_fixed="Population size" if regexm(model,"logPop")
gen Control_random=""
replace Control_random="Families" if regexm(model,"Family:")
replace Control_random="Areas" if regexm(model,"Area:")
replace Control_random="Families & Areas" if regexm(model,"Area:") & regexm(model,"Family:")
replace Control_random="Families (intercepts & slopes)" if model=="logPop || Family: logPop"
replace Control_random="Areas (intercepts & slopes)" if model=="logPop || Area: logPop"
drop model

*Bonferroni correction: _N tests are being conducted

gen star="*" if p<.01
replace star="**" if p<.01/_N
gen R2=string(r2*100,"%4.2f")+star

drop r2 star
gen direction="+"
replace direction="-" if corr<0
drop corr reps p 

gen N_r=string(N,"%12.0fc")
drop N
rename N_r N
gen NF=string(Num)
drop Num


export excel using "permute_test`1'_vehicularity0", firstrow(variables) replace
exit