capture program drop cr_table
program cr_table
args var1 var2 control section Family variation
local dir `c(pwd)'
if "`var1'"=="MC" {
	local lab1 "Morphological complexity"
}
if "`var2'"=="MC" {
	local lab2 "Morphological complexity"
}
if "`control'"=="MC" {
	local labcontrol "Morphological complexity"
}
if "`var1'"=="L2prop" {
	local lab1 "L2 proportion"
}
if "`var2'"=="L2prop" {
	local lab2 "L2 proportion"
}
if "`control'"=="L2prop" {
	local labcontrol "L2 proportion"
}
if "`var1'"=="H" {
	local lab1 "Entropy rate"
}
if "`var2'"=="H" {
	local lab2 "Entropy rate"
}
if "`control'"=="H" {
	local labcontrol "Entropy rate"
}
if "`var1'"=="Population" {
	local lab1 "Speaker population size"
}
if "`var2'"=="Population" {
	local lab2 "Speaker population size"
}
if "`control'"=="Population" {
	local labcontrol "Speaker population size"
}
clear
set obs 1  
gen Row="`section'" 
gen r_v1v2="v1: `lab1' | v2: `lab2'"
gen N_r=""
gen pr_v1v2z="z: `labcontrol'"
gen N_pr=""
gen NF=""

save table_`Family', replace


use "`dir'\correlations\spearman_`var1'_`var2'_`control'_`Family'`variation'",clear



replace NumChap=1 if NumChap==0
if "`Family'"!="Family"&"`Family'"!="Area" {
	
*Bonferroni adjustment
if "`Family'"=="All" {
	scalar bonferroni=15
	}	
	else {
	scalar bonferroni=10
	}		
gen r_star=" "
replace r_star="*" if s_perm<.01
replace r_star="**" if s_perm<.01/scalar(bonferroni)
gen pr_star=" "
replace pr_star="*" if ps_perm<.01
replace pr_star="**" if ps_perm<.01/scalar(bonferroni)
drop s_perm ps_perm

gen r_v1v2=string(spearman,"%4.3f")+r_star
gen pr_v1v2z=string(pspearman,"%4.3f")+pr_star
}
else {
gen z_spearman=atanh(spearman)
gen z_pspearman=atanh(pspearman)
collapse (mean) z_spearman N_s z_pspearman N_ps, by(NumChap)
gen spearman=tanh(z_spearman)
gen pspearman=tanh(z_pspearman)
drop z*
gen r_v1v2=string(spearman,"%4.3f")
gen pr_v1v2z=string(pspearman,"%4.3f")	
}
gen N_r=string(N_s,"%12.0fc")
gen N_pr=string(N_ps,"%12.0fc")
drop spearman pspearman
capture drop *_star
gen NF=string(NumChap,"%12.0fc")

*replace NF="" if _N==1
drop NumChap N_s N_ps
save TEMP_`Family', replace
use table_`Family', clear
append using TEMP_`Family'
capture erase TEMP_`Family'.dta
capture erase table_`Family'.dta
save table_`section'_`Family', replace
end

cr_table Population L2prop none 1 `1' `2'
cr_table MC L2prop Population 2 `1' `2'
cr_table MC Population L2prop 3 `1' `2'
cr_table H L2prop Population 4  `1' `2'
cr_table H Population L2prop 5  `1' `2'
cr_table MC H none 6  `1' `2'


use table_1_`1', clear
capture erase table_1_`1'.dta
	foreach var in 2 3 4 5 6 {
	capture append using table_`var'_`1'
	capture erase table_`var'_`1'.dta
	}

replace NF="" if NF!="6"&NF!="1"
replace N_pr="" if pr_v1v2z=="."|pr_v1v2z==". "|pr_v1v2z=="z: "|pr_v1v2z=="z:"
replace pr_v1v2z="" if pr_v1v2z=="."|pr_v1v2z==". "|pr_v1v2z=="z: "|pr_v1v2z=="z:"
 replace NF="" if NF=="."



save table_`1'`2' , replace
if "`1'"=="All" {
export excel using "table_1`2'", firstrow(variables) replace	
}     
exit
