capture program drop cr_table
program cr_table
args var1 var2 control section Type reps
local dir `c(pwd)'
if "`var1'"=="MC" {
	local lab1 "Morphological complexity"
}
if "`var2'"=="MC" {
	local lab2 "Morphological complexity"
}
if "`control'"=="MC" {
	local labcontrol "Morphological complexity"
}
if "`var1'"=="L2" {
	local lab1 "L2 ratio"
}
if "`var2'"=="L2" {
	local lab2 "L2 ratio"
}
if "`control'"=="L2" {
	local labcontrol "L2 ratio"
}
if "`var1'"=="H" {
	local lab1 "Entropy rate"
}
if "`var2'"=="H" {
	local lab2 "Entropy rate"
}
if "`control'"=="H" {
	local labcontrol "Entropy rate"
}
if "`var1'"=="Population" {
	local lab1 "Speaker population size"
}
if "`var2'"=="Population" {
	local lab2 "Speaker population size"
}
if "`control'"=="Population" {
	local labcontrol "Speaker population size"
}
clear
set obs 1  
gen Row="`section'" 
gen r_v1v2="v1: `lab1' | v2: `lab2'"
gen N_r=""
gen pr_v1v2z="z: `labcontrol'"
gen N_pr=""
gen NF=""

save table_`Type', replace


use "`dir'\correlations\spearman_`var1'_`var2'_`control'_`Type'",clear
replace NumChap=1 if NumChap==0  
collapse (sum) s_perm ps_perm (mean) spear pspear N_*, by(Num) 
*Reps correspond to repetitions in mc analysis
local reps=`reps'
replace s_perm=s_perm/`reps'
replace ps_perm=ps_perm/`reps'

gen r_star=" "
replace r_star="*" if s_perm<.10
replace r_star="**" if s_perm<.01 
replace r_star="***" if s_perm<.001
gen pr_star=" "
replace pr_star="*" if ps_perm<.10
replace pr_star="**" if ps_perm<.01   
replace pr_star="***" if ps_perm<.001
drop s_perm ps_perm

gen r_v1v2=string(spearman,"%3.2f")+r_star
gen N_r=string(N_s,"%12.0fc")
gen pr_v1v2z=string(pspearman,"%3.2f")+pr_star
gen N_pr=string(N_ps,"%12.0fc")
drop spearman pspearman *_star
gen NF=string(NumChap,"%12.0fc")

replace NF="" if _N==1
drop NumChap N_s N_ps
save TEMP_`Type', replace
use table_`Type', clear
append using TEMP_`Type'
capture erase TEMP_`Type'.dta
capture erase table_`Type'.dta
save table_`section'_`Type', replace
end

cr_table MC L2 Population 1 `1'	`2' 
cr_table MC Population L2 2 `1'	`2'
cr_table H L2 Population 3  `1'	`2'
cr_table H Population L2 4  `1'	`2'
cr_table MC H Population 5  `1'	`2'


use table_1_`1', clear
capture erase table_1_`1'.dta
	foreach var in 2 3 4 5	 {
	capture append using table_`var'_`1'
	capture erase table_`var'_`1'.dta
	}

replace pr_v1v2z="" in 11/13

replace N_pr="" in 11/13
save table_`1' , replace
export excel using "table_`1'", replace
       
exit
