use data, clear


qui mylabels 1 10 100 1000 10000 100000 1000000 10000000 100000000, myscale(log10(@)) local(labels) format(%12.0fc)
foreach value in 1 10 100 1000 10000 100000 1000000 10000000 100000000 1000000000 {
	forvalues i=1/10 {
		local val`i'=`value'*`i' 
	}
	local `value'val "`val1' `val2' `val3' `val4' `val5' `val6' `val7' `val8' `val9' `val10' "

}
qui myticks `1val' `10val' `100val' `1000val' `10000val' `100000val' `1000000val' `10000000val' `100000000val' , myscale(log10(@)) local(ticks) 


gen logPop=log10(Pop)


sum Pop if vehicularity==1,d
local vehic=r(p50)

sum Pop if vehicularity==0,d
local nonvehic=r(p50) 
label define lab 0 "non-vehicular" 1 "vehicular"

label val vehicularity lab

corr logPop vehicularity
local rho: di %3.2f r(rho)
graph box logPop, over(veh) note("{it:r} = `rho'") ///
ylabel(`labels', angle(h) nogrid) ymticks(`ticks') ytitle("") title("Population") scheme(s2mono) graphregion(color(white)) yscale(nofextend) ///
saving(1.gph, replace) nodraw

use data, clear


qui mylabels 1 10 100 1000 10000 100000 1000000 10000000 , myscale(log10(@)) local(labels) format(%12.0fc)
foreach value in 1 10 100 1000 10000 100000 1000000 10000000 100000000 1000000000 {
	forvalues i=0/10 {
		local val`i'=`value'*`i' 
	}
	local `value'val "`val1' `val2' `val3' `val4' `val5' `val6' `val7' `val8' `val9'  "

}
qui myticks `0val' `1val' `10val' `100val' `1000val' `10000val' `100000val' `1000000val' `10000000val'  , myscale(log10(@)) local(ticks) 


gen logRange=log10(Range)

 
label define lab 0 "non-vehicular" 1 "vehicular"

label val vehicularity lab

corr logRange vehicularity
local rho: di %3.2f r(rho)
graph box logRange, over(veh) note("{it:r} = `rho'") ///
ylabel(`labels', angle(h) nogrid) ymticks(`ticks') ytitle("") title("Range (km{superscript:2})") scheme(s2mono) graphregion(color(white)) yscale(alt nofextend) ///
saving(2.gph, replace) nodraw


graph combine 1.gph 2.gph, scheme(s2mono) graphregion(color(white))
graph export fig1.png, height(3000) replace
 window manage close graph
exit