noisily {
local depvar `1'
local model `2'
local reps `3'
local n `4'

noisily di "`1' `2' `3'"
/* Dataset to store the results */
			clear
			set obs 1
			gen depvar=""
			gen double p=.
			gen N=.
			gen model=""
			gen Num=.
			save permute_`n', replace


/* Program to calculate and return statistic */

capture program drop permuter
program permuter, rclass
version 14
args depvar model
marksample touse
tempvar fitted_depvar
gen `fitted_depvar'=resid+fitted
if "`model'"=="linear" {
reg `fitted_depvar' vehicularity logPop
}
if "`model'"=="mixed" {
mixed `fitted_depvar' vehicularity logPop || Family:
}
mat table=r(table)
return scalar stat = table[3,1]
end


use data, clear

if "`depvar'"=="MC_6" {
	local depvar MC
	local toreplace toreplace
	drop if NumChap<6
}
drop if `depvar'==.

/* logged population size */
gen logPop=log(Pop)

if "`model'"=="linear" {	
reg `depvar' logPop 
predict fitted
}
if "`model'"=="mixed" {
meglm `depvar' logPop || Family: 
predict fitted, fitted 
}

predict resid, resid

drop if resid==.
local N=_N

/* Permuation test */
permute resid stat=r(stat), reps(`reps') nowarn: permuter `depvar' `model'

tempname temp1
mat `temp1'=r(p)
local p=`temp1'[1,1]

use permute_`n', clear
local new=_N+1
set obs `new'
replace depvar="`depvar'" in `new'
replace p=`p' in `new'
replace N=`N' in `new'	
if "`toreplace'"=="toreplace" {
	replace Num=6	in `new'
}	
replace model="`model'" in `new'
drop if p==.
save permute_`n', replace
}


* generate finished file */
clear
set obs 1
gen v=1
save finished_`n', replace
clear         
exit, STATA  
exit