capture log close _all
log using mediator , replace smcl

/*package binary_mediation from https://stats.idre.ucla.edu/stat/stata/ado/analysis*/

*net install binary_mediation.pkg

foreach Depvar in MC_1 MC_6 H {
	
	if "`Depvar'"=="H" {
	local depvar H
	local title "Entropy rate"
	}
	else {
	local depvar MC
	if "`Depvar'"=="MC_1" {
	local title "Morphological complexity (at least 1 available WALS chapters)"
	}
	if "`Depvar'"=="MC_6" {
	local title "Morphological complexity (at least 6 available WALS chapters)"
	}
	}	
use data, clear

foreach variable in `depvar' Population vehicularity {
	drop if `variable'==.
	}
gen logPop=log(Pop)

	if "`Depvar'"=="MC_6" {
		drop if Num<6
	}

************************************
************************************
display "`title'"
************************************
************************************
binary_mediation, dv(`depvar') iv(logPop) mv(vehicularity)


quietly bootstrap r(tot_ind) r(dir_eff) r(tot_eff), bca level(99) reps(10000): binary_mediation, dv(`depvar') iv(logPop) mv(vehicularity)

estat bootstrap
}
log close _all
exit